#pragma once

#include <unordered_map>

#include "rrr/content/file/file.hpp"

namespace rrr::content_type
{
  using files = std::vector<file>;

  struct navigation 
  {
    navigation() = default;
    ~navigation() = default;

    void fill(std::filesystem::path);
    // void update(std::filesystem::path);

    files data;
  };
}
